import Qt 4.7

Rectangle {
    width: 200
    height: 200

    // When a name is assigned, the C++ backend loads the
    // previously stored value from QSettings. That value
    // can be read after onCompleted signal has been
    // received
    SettingsWriter {
        id: firstNameWriter
        name: "first"
        Component.onCompleted: firstNameInput.text = value
    }

    SettingsWriter {
        id: lastNameWriter
        name: "last"
        Component.onCompleted: lastNameInput.text = value
    }

    InputBox {
        id: firstNameInput
        x: 5; y: 5; height: 25; width: 190
        label: "First name:"
        focus: true
        onTextChanged: firstNameWriter.value = text
        Keys.onTabPressed: lastNameInput.focus = true
    }

    InputBox {
        id: lastNameInput
        x: 5; y: 35; height: 25; width: 190
        label: "Last name:"
        onTextChanged: lastNameWriter.value = text
        Keys.onTabPressed: firstNameInput.focus = true
    }

}
